%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define srcname psycopg

Name:           python-psycopg
Version:        1.1.19
Release:        1%{?dist}

Summary:        PostgreSQL database adapter for Python

Group:          Development/Libraries
License:        GPL
URL:            http://www.initd.org/software/initd/psycopg
Source0:        http://initd.org/pub/software/psycopg/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel postgresql-devel mx
Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]") mx

%description
psycopg is a PostgreSQL database adapter for the Python programming
language (just like pygresql and popy.) It was written from scratch with
the aim of being very small and fast, and stable as a rock. The main
advantages of psycopg are that it supports the full Python DBAPI-2.0 and
being thread safe at level 2.

%prep
%setup -n %{srcname}-%{version}

%build
if [ -x %{_bindir}/pg_config ]; then
	POSTGRESQLINC=$(%{_bindir}/pg_config --includedir-server)
	POSTGRESQLLIB=$(%{_bindir}/pg_config --libdir)
else
	POSTGRESQLINC=%{_includedir}/pgsql
	POSTGRESQLLIB=%{_libdir}/
fi
%configure --with-python=%{__python} \
      --with-mxdatetime-includes=%{_includedir}  \
      --with-postgres-includes=$POSTGRESQLINC \
      --with-postgres-libs=$POSTGRESQLLIB
make

%install
mkdir -p $RPM_BUILD_ROOT%{python_sitearch}
install -m 555 psycopgmodule.so $RPM_BUILD_ROOT%{python_sitearch}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS  COPYING  CREDITS  FAQ  INSTALL  NEWS  README  RELEASE-1.0  SUCCESS  TODO doc
%{python_sitearch}/*.so

%changelog
* Thu Sep 08 2005 Shahms E. King <shahms@shahms.com> 1.1.19-1
- update to new upstream version

* Thu May 12 2005 Shahms E. King <shahms@shahms.com> 1.1.18-4
- rebuilt, added disttag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Mar 21 2005 Shahms E. King <shahms@shahms.com> 1.1.18-2
- Remove explicit postgresql-libs Requires
- Other misc. cleanups

* Tue Mar 01 2005 Shahms E. King <shahms@shahms.com> 1.1.18-1
- Repackage for Extras
- Update to 1.1.18
